Forskel mellem versioner af "/VisualEditor"

Fra Testwiki
Spring til navigation Spring til søgning
(Wikimedia har en sjusket releasestyring)
 
(Opdatering omkring 1.23)
 
Linje 1: Linje 1:
 
+
Uanset at der står det modsatte på https://www.mediawiki.org/wiki/Extension:VisualEditor, så skal man bruge den version der kan downloades fra [https://www.mediawiki.org/wiki/Special:ExtensionDistributor/VisualEditor ExtensionDistributor]. Release 1.23 kræver en ekstra Parsoid-extension.
 
 
== Hotfix 140801 ==
 
 
 
I extensions/VisualEditor/VisualEditor.php:
 
 
 
Ret linie 72 og frem:
 
<syntaxhighlight lang="php">
 
// Set default values for new preferences
 
$wgDefaultUserOptions['visualeditor-enable'] = 0;
 
$wgDefaultUserOptions['visualeditor-enable-experimental'] = 0;
 
$wgDefaultUserOptions['visualeditor-betatempdisable'] = 0;
 
</syntaxhighlight>
 
 
 
Til:
 
 
 
<syntaxhighlight lang="php">
 
// Set default values for new preferences
 
$wgDefaultUserOptions['visualeditor-enable'] = 0;
 
$wgDefaultUserOptions['visualeditor-enable-experimental'] = 0;
 
$wgDefaultUserOptions['visualeditor-betatempdisable'] = 0;
 
$wgDefaultUserOptions['visualeditor-enable-language'] = 0;
 
</syntaxhighlight>
 

Nuværende version fra 2. aug 2014, 11:45

Uanset at der står det modsatte på https://www.mediawiki.org/wiki/Extension:VisualEditor, så skal man bruge den version der kan downloades fra ExtensionDistributor. Release 1.23 kræver en ekstra Parsoid-extension.